Package org.apache.solr.client.solrj.request

## Class ReplicationApi.FetchFile1

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<ReplicationApi.FetchFile1Response>
  - - org.apache.solr.client.solrj.request.ReplicationApi.FetchFile1

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ReplicationApi

    public static class ReplicationApi.FetchFile1
    extends SolrRequest<ReplicationApi.FetchFile1Response>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`FetchFile1​(String coreName, String filePath, String dirType)` Create a FetchFile1 request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ReplicationApi.FetchFile1Response` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`SolrParams` `getParams()`
`Set<String>` `getQueryParams()` Parameter keys that are sent via the query string
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setChecksum​(Boolean checksum)`
`void` `setCompression​(Boolean compression)`
`void` `setGeneration​(Long generation)`
`void` `setLen​(String len)`
`void` `setMaxWriteMBPerSec​(Double maxWriteMBPerSec)`
`void` `setOffset​(String offset)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchFile1

    public FetchFile1​(String coreName,
                      String filePath,
                      String dirType)

Create a FetchFile1 request object.

Parameters:
  `coreName` - Path param -
  `filePath` - Path param -
  `dirType` - Path param - Directory type for specific filePath (cf or tlogFile). Defaults to Lucene index (file) directory if empty

### Method Detail

#### setOffset

    public void setOffset​(String offset)

Parameters:
  `offset` - Output stream read/write offset

#### setLen

    public void setLen​(String len)

#### setCompression

    public void setCompression​(Boolean compression)

Parameters:
  `compression` - Compress file output

#### setChecksum

    public void setChecksum​(Boolean checksum)

Parameters:
  `checksum` - Write checksum with output stream

#### setMaxWriteMBPerSec

    public void setMaxWriteMBPerSec​(Double maxWriteMBPerSec)

Parameters:
  `maxWriteMBPerSec` - Limit data write per seconds. Defaults to no throttling

#### setGeneration

    public void setGeneration​(Long generation)

Parameters:
  `generation` - The generation number of the index

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<ReplicationApi.FetchFile1Response>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<ReplicationApi.FetchFile1Response>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<ReplicationApi.FetchFile1Response>`

#### getQueryParams

    public Set<String> getQueryParams()

Description copied from class: `SolrRequest`
Parameter keys that are sent via the query string

Overrides:
  `getQueryParams` in class `SolrRequest<ReplicationApi.FetchFile1Response>`

#### createResponse

    protected ReplicationApi.FetchFile1Response createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<ReplicationApi.FetchFile1Response>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<ReplicationApi.FetchFile1Response>`
Returns:
  The `ResponseParser`